#ifndef MAP_DESIGNERPLUGIN_H
#define MAP_DESIGNERPLUGIN_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>


class MapDesignerPlugin
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_PLUGIN_METADATA(IID "qad.map")
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	MapDesignerPlugin(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif
